Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Class XmlRpcController

    java.lang.Object
      org.apache.xmlrpc.common.XmlRpcController

Direct Known Subclasses:
  XmlRpcClient, XmlRpcServer

    public abstract class XmlRpcController

extends java.lang.Object

A common base class for `XmlRpcServer` and `XmlRpcClient`.

Constructor Summary
`XmlRpcController()`

Method Summary
`abstract XmlRpcConfig` | `getConfig()` Returns the controllers default configuration.
`protected abstract XmlRpcWorkerFactory` | `getDefaultXmlRpcWorkerFactory()` Creates the controllers default worker factory.
`int` | `getMaxThreads()` Returns the maximum number of concurrent requests.
`TypeFactory` | `getTypeFactory()` Returns the type factory.
`XmlRpcWorkerFactory` | `getWorkerFactory()` Returns the clients worker factory.
`void` | `setMaxThreads(int pMaxThreads)` Sets the maximum number of concurrent requests.
`void` | `setTypeFactory(TypeFactory pTypeFactory)` Sets the type factory.
`void` | `setWorkerFactory(XmlRpcWorkerFactory pFactory)` Sets the clients worker factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcController

    public XmlRpcController()

Method Detail

### getDefaultXmlRpcWorkerFactory

    protected abstract XmlRpcWorkerFactory getDefaultXmlRpcWorkerFactory()

  Creates the controllers default worker factory.

  Returns:
    The default factory for workers.

### setMaxThreads

    public void setMaxThreads(int pMaxThreads)

  Sets the maximum number of concurrent requests. This includes both synchronous and asynchronous requests.

  Parameters:
    `pMaxThreads` - Maximum number of threads or 0 to disable the limit.

### getMaxThreads

    public int getMaxThreads()

  Returns the maximum number of concurrent requests. This includes both synchronous and asynchronous requests.

  Returns:
    Maximum number of threads or 0 to disable the limit.

### setWorkerFactory

    public void setWorkerFactory(XmlRpcWorkerFactory pFactory)

  Sets the clients worker factory.

  Parameters:
    `pFactory` - The factory being used to create workers.

### getWorkerFactory

    public XmlRpcWorkerFactory getWorkerFactory()

  Returns the clients worker factory.

  Returns:
    The factory being used to create workers.

### getConfig

    public abstract XmlRpcConfig getConfig()

  Returns the controllers default configuration.

  Returns:
    The default configuration.

### setTypeFactory

    public void setTypeFactory(TypeFactory pTypeFactory)

  Sets the type factory.

  Parameters:
    `pTypeFactory` - The type factory.

### getTypeFactory

    public TypeFactory getTypeFactory()

  Returns the type factory.

  Returns:
    The type factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.